Subject: Re: [mmox] mmox Digest, Vol 1, Issue 177

From: "[email-masked]" <[email-masked]>
Date: Sat, 28 Feb 2009 01:16:52 GMT

Message: 1
Date: Sat, 28 Feb 2009 07:21:42 +0900
From: Kajikawa Jeremy <[email-masked]>
Subject: Re: [mmox] MMOX ...mixed threading...

>I am utterly surprised by how disconnected some of your statements appear to be with regards conversations on this list.

My contributions are pertinent to the larger issues at hand, and your emotions seem inconsistent with a scientific project. Whatever.

>TCP/IPv4 supports commerce... does it have any commercial functions
inside the protocol?...  from my understanding NONE...

Whenever I see all caps, I see religion, not science. It's your notion that TCP/IPv4 "supports commerce" on the first iteration of the Internet. Great! How does it do that? By transmitting for the most part electronic data about payments for real items in the real world which are shipped by real roads in trucks to people who buy them, say, a vacuum cleaner or "The Cult of the Amateur" by Andrew Keen on amazon.com. To be sure, it also transmits digital information like mp3s which are constantly pirated and prompts copyleftists to say, oh, we should be forced to share everything because everything is rippable and we can't have micropayments they don't work blah blah. Except...the vacuum cleaners and "The Cult of the Amateur" keeps coming on the trucks...So TCP/IPV4 supports commerce even without little gremlins inside it ensuring anything but the security of bank transactions...oops, that might be what you WOULD call "supports commerce" if it enabled it.

BUT in virtual worlds, the vacuum cleaners and the books are made of pixels, so they become rippable like the music. That's why we want c/m/t on them. That's all. Very simple. We've been over this. The second iteration of the Internet doesn't *have* to be like the first unless your mind is closed.

>TCP is limited scope to a reliable transport,  UDP is best-effort
unreliable, IP and ICMP is framing for the above to work on a commonality...

I have no idea. Do you enjoy showing off jargon and also telling everyong you're an amateur? I'm fairly conversant in technology issues, and fairly well-read, but I have no idea if this statement is true, or what all the elements mean.

And I'm not required to, and don't have to be called "disconnected" or "obtuse" if I don't have an IT degree. I could say, oh, Russians will be the third largest users of the Internet in a year or two, why don't you translate this entire group's messages into Russian, and then I could offer this magic "positive proposal" without which you cannot conceive of any framing of any discussion by saying "Here's my translation, or here's my plan to get help with terminology, etc". People have different areas of expertise; life may be increasingly digitalized, but coders do not define all of human expertise.

>I see this list as endeavouring to provide a TCP or UDP hosted mechanism that is application specific forms of these protocols for allowing objects to have both OSS and Commercial backing...

One would hope...but that isn't affirmed whatsoever. It's your notion and you aren't worry if it doesn't hold fully true, evidently, or you wouldn't feel the need to bang on me. Forterra's CTO has indicated this, but neither Linden or IBM or AWGroupies or others on the list have said they concede the idea of having the metadata support permissions. In fact, I see a hesitancy from them.

>is an object transferred containing "commercial" content? yes/no
  Whichever... as long as it is transferable or otherwise able to have a money transaction connected for those interested in money.

It's not like they have leprosy; most people *are* interested in money and getting paid and paying; they require this to survive. And again, you're conceiving of currency as an add-on module that somebody tacks on, whereas there is every reason to conceive of it as wired in from the start, to make it an option to turn off, but not have to require exceptional extra coding, modules, separate agreements, etc. to turn on.

This list is remaining a *technical* discussion and we are trying to
remain "option open" with future proofing the protocol in-use...

Technology rapidly doesn't "remain" technical the minute that some of the coders weld their worldview into the code from the start, forcing the tools on all of us, without choice. So I reject that notion. 

>My own proposal to this list was to have any object encoding allow
arbitrary extensible attributes attached to an ObjectID...  each VW may allow the OID to be remapped as long as the attributes in full remain together.

a) I don't hear others support this b) I'd have to see how this played out to understand if it does the trick.

>with regards your anti-FOSS commentary... I don't care what you believe in as long as your input is /*constructive*/ or proposing a mechanism that does not detract or otherwise limit the functionality your welcome to participate

This is typical of the kind of controlling, belittling comment that one gets when questioning opensource projects in any way -- which this is essentially in culture and spirit, whatever the cursory nods to proprietary platforms. Once again, my comment isn't "anti-FOSS" as I said that I reject *the imposition" of OS on people and want *choice* and I *criticize* OS because of its inherent contradictions, and some of its fraudulent claims as I've observed them. 

I've already noted that this work culture of "you can only make a constructive proposal" is for the birds. It's not a normal function of a normal democratic discourse in real life or online communities. It's an artifact of a geek culture that creates a Spartan-like regime of brutally rejecting any criticism or negativity or dissent by insisting on salmon swimming upstream to create a hypothetical "positive proposal" to support their critique -- which is merely a cover to aggressively privilege the dominant narrative and agenda. Non-technical people can't be expected to mount proposals of this nature. The technicians on the list, in IRC type fashion, are anything but constructive in their scathing and brutal comments *to each other*. So you're welcome to keep nattering on about "constructive" proposals, but I'm simply going to reserve the right to make comments as I see fit on this *public list*.

If it's *not* a public list, and nary a discouraging word can be heard against opensouce or the dominant culture of those on the list, and it truly is *not* open to the public, and only very narrowly technically-proficient types need apply, of course you can say so. But that's not the label on the can.

____________________________________________________________
Click to get free auto insurance quotes from top companies.
http://thirdpartyoffers.juno.com/TGL2141/fc/BLSrjpTImHbZrUYUD7NJVyQ6fo6TisSZGoff1pF5pgsJEFMlcRD7FL3dBhW/